Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.http.protocol
Class AuthSSLProtocolSocketFactoryBuilder

    java.lang.Object
      org.jboss.soa.esb.http.protocol.AbstractProtocolSocketFactoryBuilder
          org.jboss.soa.esb.http.protocol.AuthSSLProtocolSocketFactoryBuilder

All Implemented Interfaces:
  ProtocolSocketFactoryBuilder

    public class AuthSSLProtocolSocketFactoryBuilder

extends AbstractProtocolSocketFactoryBuilder

Creates and configures an instance of the `AuthSSLProtocolSocketFactory` class for 2way authentication.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`AuthSSLProtocolSocketFactoryBuilder()`

Method Summary
`org.apache.commons.httpclient.protocol.ProtocolSocketFactory` | `newInstance()` Create a new instance of the `ProtocolSocketFactory` based on the supplied `HttpClientFactory` configuration.

Methods inherited from class org.jboss.soa.esb.http.protocol.AbstractProtocolSocketFactoryBuilder
`getKeystore, getKeystorePassword, getKeystoreType, getKeystoreURL, getTruststore, getTruststorePassword, getTruststoreType, getTruststoreURL, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthSSLProtocolSocketFactoryBuilder

    public AuthSSLProtocolSocketFactoryBuilder()

Method Detail

### newInstance

    public org.apache.commons.httpclient.protocol.ProtocolSocketFactory newInstance()
                                                                             throws ConfigurationException

  Description copied from interface: `ProtocolSocketFactoryBuilder`
  Create a new instance of the `ProtocolSocketFactory` based on the supplied `HttpClientFactory` configuration.

  Returns:
    The configured ProtocolSocketFactory implementation.
  Throws:
    `ConfigurationException` - Bad configuration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD